List inboxes using a policy
The inboxes bound to this policy, as full inbox objects under an inboxes key. To change a binding, use the assignment-policy endpoint on the inbox itself.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
assignment_policies
/
{assignment_policy_id}
/
inboxes
List inboxes using a policy
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"inboxes": [
{
"id": 4,
"avatar_url": "",
"channel_id": 1,
"name": "Webchat",
"channel_type": "Channel::WebWidget",
"greeting_enabled": false,
"greeting_message": null,
"working_hours_enabled": false,
"enable_email_collect": true,
"csat_survey_enabled": false,
"csat_config": {},
"enable_auto_assignment": true,
"auto_assignment_config": {},
"out_of_office_message": null,
"working_hours": [
{
"day_of_week": 0,
"closed_all_day": true,
"open_hour": null,
"open_minutes": null,
"close_hour": null,
"close_minutes": null,
"open_all_day": false
},
{
"day_of_week": 1,
"closed_all_day": false,
"open_hour": 9,
"open_minutes": 0,
"close_hour": 17,
"close_minutes": 0,
"open_all_day": false
}
],
"timezone": "UTC",
"callback_webhook_url": null,
"allow_messages_after_resolved": true,
"lock_to_single_conversation": false,
"sender_name_type": "friendly",
"business_name": null,
"allowed_domains": "",
"widget_color": "#FF073B",
"website_url": "https://tied.com",
"hmac_mandatory": false,
"welcome_title": null,
"welcome_tagline": null,
"web_widget_script": "\n <script>\n (function(d,t) {\n var BASE_URL=\"https://app.tied.com\";\n var g=d.createElement(t),s=d.getElementsByTagName(t)[0];\n g.src=BASE_URL+\"/packs/js/sdk.js\";\n g.async = true;\n s.parentNode.inse…",
"website_token": "EXAMPLE_WEBSITE_TOKEN",
"selected_feature_flags": [
"attachments",
"emoji_picker"
],
"reply_time": "in_a_few_minutes",
"hmac_token": "EXAMPLE_HMAC_TOKEN",
"pre_chat_form_enabled": false,
"pre_chat_form_options": {
"pre_chat_fields": [
{
"name": "emailAddress",
"type": "email",
"label": "Email Id",
"enabled": false,
"required": true,
"field_type": "standard"
},
{
"name": "fullName",
"type": "text",
"label": "Full name",
"enabled": false,
"required": false,
"field_type": "standard"
}
],
"pre_chat_message": "Share your queries or comments here."
},
"continuity_via_email": true,
"messaging_service_sid": null,
"phone_number": null,
"provider": null
}
]
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the assignment policy.
Example:
1
Response
Success
The inboxes using this policy, under an inboxes key rather than payload.
The inboxes bound to this policy.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List inboxes using a policy
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/assignment_policies/{assignment_policy_id}/inboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"inboxes": [
{
"id": 4,
"avatar_url": "",
"channel_id": 1,
"name": "Webchat",
"channel_type": "Channel::WebWidget",
"greeting_enabled": false,
"greeting_message": null,
"working_hours_enabled": false,
"enable_email_collect": true,
"csat_survey_enabled": false,
"csat_config": {},
"enable_auto_assignment": true,
"auto_assignment_config": {},
"out_of_office_message": null,
"working_hours": [
{
"day_of_week": 0,
"closed_all_day": true,
"open_hour": null,
"open_minutes": null,
"close_hour": null,
"close_minutes": null,
"open_all_day": false
},
{
"day_of_week": 1,
"closed_all_day": false,
"open_hour": 9,
"open_minutes": 0,
"close_hour": 17,
"close_minutes": 0,
"open_all_day": false
}
],
"timezone": "UTC",
"callback_webhook_url": null,
"allow_messages_after_resolved": true,
"lock_to_single_conversation": false,
"sender_name_type": "friendly",
"business_name": null,
"allowed_domains": "",
"widget_color": "#FF073B",
"website_url": "https://tied.com",
"hmac_mandatory": false,
"welcome_title": null,
"welcome_tagline": null,
"web_widget_script": "\n <script>\n (function(d,t) {\n var BASE_URL=\"https://app.tied.com\";\n var g=d.createElement(t),s=d.getElementsByTagName(t)[0];\n g.src=BASE_URL+\"/packs/js/sdk.js\";\n g.async = true;\n s.parentNode.inse…",
"website_token": "EXAMPLE_WEBSITE_TOKEN",
"selected_feature_flags": [
"attachments",
"emoji_picker"
],
"reply_time": "in_a_few_minutes",
"hmac_token": "EXAMPLE_HMAC_TOKEN",
"pre_chat_form_enabled": false,
"pre_chat_form_options": {
"pre_chat_fields": [
{
"name": "emailAddress",
"type": "email",
"label": "Email Id",
"enabled": false,
"required": true,
"field_type": "standard"
},
{
"name": "fullName",
"type": "text",
"label": "Full name",
"enabled": false,
"required": false,
"field_type": "standard"
}
],
"pre_chat_message": "Share your queries or comments here."
},
"continuity_via_email": true,
"messaging_service_sid": null,
"phone_number": null,
"provider": null
}
]
}{
"error": "Resource could not be found"
}{
"error": "Resource could not be found"
}